/*******************************************************************************
* File Name: ContrastPin.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ContrastPin_H) /* Pins ContrastPin_H */
#define CY_PINS_ContrastPin_H

#include "cytypes.h"
#include "cyfitter.h"
#include "ContrastPin_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ContrastPin_Write(uint8 value) ;
void    ContrastPin_SetDriveMode(uint8 mode) ;
uint8   ContrastPin_ReadDataReg(void) ;
uint8   ContrastPin_Read(void) ;
uint8   ContrastPin_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ContrastPin_DRIVE_MODE_BITS        (3)
#define ContrastPin_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - ContrastPin_DRIVE_MODE_BITS))

#define ContrastPin_DM_ALG_HIZ         (0x00u)
#define ContrastPin_DM_DIG_HIZ         (0x01u)
#define ContrastPin_DM_RES_UP          (0x02u)
#define ContrastPin_DM_RES_DWN         (0x03u)
#define ContrastPin_DM_OD_LO           (0x04u)
#define ContrastPin_DM_OD_HI           (0x05u)
#define ContrastPin_DM_STRONG          (0x06u)
#define ContrastPin_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define ContrastPin_MASK               ContrastPin__MASK
#define ContrastPin_SHIFT              ContrastPin__SHIFT
#define ContrastPin_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ContrastPin_PS                     (* (reg32 *) ContrastPin__PS)
/* Port Configuration */
#define ContrastPin_PC                     (* (reg32 *) ContrastPin__PC)
/* Data Register */
#define ContrastPin_DR                     (* (reg32 *) ContrastPin__DR)
/* Input Buffer Disable Override */
#define ContrastPin_INP_DIS                (* (reg32 *) ContrastPin__PC2)


#if defined(ContrastPin__INTSTAT)  /* Interrupt Registers */

    #define ContrastPin_INTSTAT                (* (reg32 *) ContrastPin__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define ContrastPin_DRIVE_MODE_SHIFT       (0x00u)
#define ContrastPin_DRIVE_MODE_MASK        (0x07u << ContrastPin_DRIVE_MODE_SHIFT)


#endif /* End Pins ContrastPin_H */


/* [] END OF FILE */
