/*******************************************************************************
* File Name: LEDPin.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LEDPin_H) /* Pins LEDPin_H */
#define CY_PINS_LEDPin_H

#include "cytypes.h"
#include "cyfitter.h"
#include "LEDPin_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LEDPin_Write(uint8 value) ;
void    LEDPin_SetDriveMode(uint8 mode) ;
uint8   LEDPin_ReadDataReg(void) ;
uint8   LEDPin_Read(void) ;
uint8   LEDPin_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LEDPin_DRIVE_MODE_BITS        (3)
#define LEDPin_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - LEDPin_DRIVE_MODE_BITS))

#define LEDPin_DM_ALG_HIZ         (0x00u)
#define LEDPin_DM_DIG_HIZ         (0x01u)
#define LEDPin_DM_RES_UP          (0x02u)
#define LEDPin_DM_RES_DWN         (0x03u)
#define LEDPin_DM_OD_LO           (0x04u)
#define LEDPin_DM_OD_HI           (0x05u)
#define LEDPin_DM_STRONG          (0x06u)
#define LEDPin_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define LEDPin_MASK               LEDPin__MASK
#define LEDPin_SHIFT              LEDPin__SHIFT
#define LEDPin_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LEDPin_PS                     (* (reg32 *) LEDPin__PS)
/* Port Configuration */
#define LEDPin_PC                     (* (reg32 *) LEDPin__PC)
/* Data Register */
#define LEDPin_DR                     (* (reg32 *) LEDPin__DR)
/* Input Buffer Disable Override */
#define LEDPin_INP_DIS                (* (reg32 *) LEDPin__PC2)


#if defined(LEDPin__INTSTAT)  /* Interrupt Registers */

    #define LEDPin_INTSTAT                (* (reg32 *) LEDPin__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define LEDPin_DRIVE_MODE_SHIFT       (0x00u)
#define LEDPin_DRIVE_MODE_MASK        (0x07u << LEDPin_DRIVE_MODE_SHIFT)


#endif /* End Pins LEDPin_H */


/* [] END OF FILE */
